package cn.superdesk.uniorder.dubbo.consumer.organisation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueOrg;
import cn.superdesk.uniorder.dto.param.organisation.SysCliqueOrgParam;
import cn.superdesk.uniorder.dubbo.facade.organisation.DubboSysCliqueOrgService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-04-28 14:08:25
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-04-28 14:08:25
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class SysCliqueOrgDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboSysCliqueOrgService dubboSysCliqueOrgService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(SysCliqueOrgParam param) {

		dubboSysCliqueOrgService.addObj(param);

	}

	public void updateObj(SysCliqueOrgParam param) {

		dubboSysCliqueOrgService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboSysCliqueOrgService.deleteObj(id);
	}

	public SysCliqueOrg findById(Long id) {

		return dubboSysCliqueOrgService.findById(id);
	}

	public PageInfo<SysCliqueOrg> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboSysCliqueOrgService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<SysCliqueOrg> findAll(Map<String, Object> queryMap) {

		return dubboSysCliqueOrgService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addSysCliqueOrg(SysCliqueOrgParam param) {

		dubboSysCliqueOrgService.addSysCliqueOrg(param);
	}


	public void updateSysCliqueOrg(SysCliqueOrgParam param) {

		dubboSysCliqueOrgService.updateSysCliqueOrg(param);
	}


	public void deleteSysCliqueOrg(Long id) {
		dubboSysCliqueOrgService.deleteSysCliqueOrg(id);
	}


	public SysCliqueOrg findSysCliqueOrgById(Long id) {

		return dubboSysCliqueOrgService.findSysCliqueOrgById(id);
	}


	public R<List<SysCliqueOrg>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboSysCliqueOrgService.pageQuery(conditions, pageNun, pageSize);
	}

	/****************************************** kafka start ******************************************/

	public void kafkaMergeReceiveCliqueOrg(String message) {
		dubboSysCliqueOrgService.kafkaMergeReceiveCliqueOrg(message);
	}

	@Deprecated
	public void kafkaDeleteReceiveCliqueOrg(String message) {
		dubboSysCliqueOrgService.kafkaDeleteReceiveCliqueOrg(message);
	}

	/****************************************** kafka   end ******************************************/

}
